From: "Michael Orlitzky" <mjo@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/umfpack/
Date: Tue, 20 Jun 2023 00:02:40 +0000 (UTC) [thread overview]
Message-ID: <1687219277.257fa9c839ae2ba2a63a4daa683a4b25cb70bcdd.mjo@gentoo> (raw)
commit: 257fa9c839ae2ba2a63a4daa683a4b25cb70bcdd
Author: François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Mon Jun 5 21:43:46 2023 +0000
Commit: Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Tue Jun 20 00:01:17 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=257fa9c8
sci-libs/umfpack: add 6.1.0
Signed-off-by: François Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>
sci-libs/umfpack/Manifest | 1 +
sci-libs/umfpack/metadata.xml | 3 ++
sci-libs/umfpack/umfpack-6.1.0.ebuild | 70 +++++++++++++++++++++++++++++++++++
3 files changed, 74 insertions(+)
diff --git a/sci-libs/umfpack/Manifest b/sci-libs/umfpack/Manifest
index 2b2174921691..96f2f37d9f04 100644
--- a/sci-libs/umfpack/Manifest
+++ b/sci-libs/umfpack/Manifest
@@ -1 +1,2 @@
+DIST SuiteSparse-7.0.0.gh.tar.gz 64884962 BLAKE2B 06c6cf54ffae188f5179e0cd45523700448d8999b44d6b1aeb3dfb99ccf34a570f6aff600988a144c68a4a2d8f41e32f7145e09349aed3bd889501ea031c8340 SHA512 50b1cd7bab6e4c063984162ed803fd13b69df7f67efe8ce7af15eace6b0ccd1669b6e57daa59511fd9531a847433cda49c1f52bfff234031af0d79e7fbd6423e
DIST umfpack-5.7.9.tar.bz2 772026 BLAKE2B 6d6dc1ba47b8f473884c1cb17d3eaa363d88281512e33586a0af0c2bcb7a523272bef4d8da0a29e2a5a84c8f0cd0ee6830ec10247971db63b4c319e6fa9a3c42 SHA512 5ad57467b5b7e4579f3cc9e2e7c92a0262ac2ef991a606d079b749b66e10da60aceaa4b0e741c116f8866da23c0f7c06368fe2b08d66d51383683f0dcbeddba3
diff --git a/sci-libs/umfpack/metadata.xml b/sci-libs/umfpack/metadata.xml
index 4f63dca968ed..82e4a996b5c7 100644
--- a/sci-libs/umfpack/metadata.xml
+++ b/sci-libs/umfpack/metadata.xml
@@ -15,4 +15,7 @@
<flag name="cholmod">Use <pkg>sci-libs/cholmod</pkg> for matrix
ordering</flag>
</use>
+ <upstream>
+ <remote-id type="github">DrTimothyAldenDavis/SuiteSparse</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sci-libs/umfpack/umfpack-6.1.0.ebuild b/sci-libs/umfpack/umfpack-6.1.0.ebuild
new file mode 100644
index 000000000000..c83986c4ee4a
--- /dev/null
+++ b/sci-libs/umfpack/umfpack-6.1.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib toolchain-funcs
+
+Sparse_PV="7.0.0"
+Sparse_P="SuiteSparse-${Sparse_PV}"
+DESCRIPTION="Unsymmetric multifrontal sparse LU factorization library"
+HOMEPAGE="https://people.engr.tamu.edu/davis/suitesparse.html"
+SRC_URI="https://github.com/DrTimothyAldenDavis/SuiteSparse/archive/refs/tags/v${Sparse_PV}.tar.gz -> ${Sparse_P}.gh.tar.gz"
+
+LICENSE="GPL-2+"
+SLOT="0/6"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc openmp test"
+RESTRICT="!test? ( test )"
+
+DEPEND=">=sci-libs/suitesparseconfig-${Sparse_PV}
+ >=sci-libs/amd-3.0.3
+ >=sci-libs/cholmod-4.0.3[openmp=]
+ virtual/blas"
+RDEPEND="${DEPEND}"
+BDEPEND="doc? ( virtual/latex-base )"
+
+S="${WORKDIR}/${Sparse_P}/${PN^^}"
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+multilib_src_configure() {
+ # Fortran is only used to compile additional demo programs that can be tested.
+ local mycmakeargs=(
+ -DNSTATIC=ON
+ -DNOPENMP=$(usex openmp OFF ON)
+ -DNFORTRAN=ON
+ -DDEMO=$(usex test)
+ )
+ cmake_src_configure
+}
+
+multilib_src_test() {
+ # Run demo files
+ local demofiles=(
+ umfpack_di_demo
+ umfpack_dl_demo
+ umfpack_zi_demo
+ umfpack_zl_demo
+ )
+ for i in ${demofiles}; do
+ ./"${i}" > "${i}.out"
+ diff --strip-trailing-cr "${S}/Demo/${i}.out" "${i}.out" || die "failed testing ${i}"
+ done
+}
+multilib_src_install() {
+ if use doc; then
+ pushd "${S}/Doc"
+ rm -rf *.pdf
+ emake
+ popd
+ DOCS="${S}/Doc/*.pdf"
+ fi
+ cmake_src_install
+}
next reply other threads:[~2023-06-20 0:02 UTC|newest]
Thread overview: 29+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-06-20 0:02 Michael Orlitzky [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-12-02 13:15 [gentoo-commits] repo/gentoo:master commit in: sci-libs/umfpack/ Jakov Smolić
2024-06-17 1:47 Sam James
2024-06-17 1:47 Sam James
2023-06-20 0:02 Michael Orlitzky
2023-06-20 0:02 Michael Orlitzky
2023-06-03 11:15 Arthur Zamarin
2022-12-01 3:21 WANG Xuerui
2022-11-19 11:41 Andrew Ammerlaan
2022-10-09 16:10 Sam James
2021-07-14 16:14 Marek Szuba
2021-01-06 15:17 Fabian Groffen
2020-11-07 17:57 Sam James
2020-08-23 17:01 David Seifert
2020-07-21 10:03 Andreas Sturmlechner
2020-07-19 16:03 Sam James
2020-07-07 6:58 Sergei Trofimovich
2020-06-22 6:57 Agostino Sarubbo
2020-06-21 17:08 Agostino Sarubbo
2020-06-21 17:03 Agostino Sarubbo
2020-04-13 22:07 Sergei Trofimovich
2020-04-10 16:52 Andreas Sturmlechner
2020-03-02 17:21 Michael Orlitzky
2019-05-21 6:31 Aaron Bauman
2017-07-08 9:25 Alexis Ballier
2017-07-01 9:52 Sergei Trofimovich
2017-03-19 3:33 Matt Turner
2017-03-18 6:13 Matt Turner
2016-06-07 16:47 Tobias Klausmann
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1687219277.257fa9c839ae2ba2a63a4daa683a4b25cb70bcdd.mjo@gentoo \
--to=mjo@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox